﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

// Written July 24, 2018 by Jonathan E. Styles.
// Purpose for tutorial in going FullScreen.
// Feel free to use for any purpose!
//
// http://smials.weebly.com

namespace Fullscreen
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        WindowState saveState = new WindowState();
        WindowStyle saveStyle = new WindowStyle();

        bool isBig = false;

        public MainWindow()
        {
            InitializeComponent();

            Grid background = new Grid();

            Button btnBigScreen = new Button();
            btnBigScreen.Content = "Go!";
            btnBigScreen.Click += delegate (object sender, RoutedEventArgs e)
            {
                clickedButton();
            };

            background.Children.Add(btnBigScreen);

            this.Content = background;
        }

        public void clickedButton()
        {
            if (isBig == false)
            {
                saveState = this.WindowState;
                saveStyle = this.WindowStyle;
                goFullscreen();

                isBig = true;
            }
            else
            {
                this.WindowState = saveState;
                this.WindowStyle = saveStyle;
                this.Topmost = false;

                isBig = false;
            }
        }

        public void goFullscreen()
        {
            this.WindowState = WindowState.Maximized;
            this.WindowStyle = WindowStyle.None;
            this.Topmost = true;
        }
    }
}
